Recent Posts

Pages: 1 2 3 [4] 5 6 ... 10
31
AutoLISP (Vanilla / Visual) / Re: Fas and VLX program protectors ver 1.05e
« Last post by baitang36 on February 25, 2020, 07:18:45 AM »
I tried fastolsp.exe and it worked.
i've never used this tool
i don't have it
If others are like you, the tool is useless.
32
AutoLISP (Vanilla / Visual) / Re: Fas and VLX program protectors ver 1.05e
« Last post by VovKa on February 25, 2020, 06:28:14 AM »
I tried fastolsp.exe and it worked.
i've never used this tool
i don't have it
33
.NET / Re: Using SQL Server Compact Edition with an C# AutoCAD plugin
« Last post by MickD on February 25, 2020, 12:43:54 AM »
I think MS deprecated the Compact edition in favour of the Express version so maybe your better off reading up on that tech.

Personally, I'd use SQLite, very portable, fast and easy to work with (server-less) with something like 140 terabytes of capacity!
34
AutoLISP (Vanilla / Visual) / Re: LM:intersections Doesn't work as it should
« Last post by rayakmal on February 24, 2020, 11:57:27 PM »
https://www.theswamp.org/index.php?topic=46848.0

Thanks for the pointer, VovKa. After I tried all the sample functions on the thread I realized those are not what I'm looking for, then I came up with this code, it was inspired by CAB's codes BreakObjects.lsp and it works like a charm. Problem Solved.

Code: [Select]
;; Quick & Dirty Programming:
(defun c:BRK ( / en1 en2 iplist)
   (setq en1 (entsel "\n#1 >> : ")
         en1 (vlax-ename->vla-object (car en1))
         en2 (entsel "\n#2 >> : ")
         en2 (vlax-ename->vla-object (car en2))
   )
   (setq iplist (get_interpts en1 en2))
   (setq iplist (list->3pair iplist))
   (if iplist
      (foreach n iplist
        (entmake (list '(0 . "POINT") (cons 10 n)))
      )
   )
   (princ)
)


;;;================BORROWED FROM BreakObjects.lsp ]====================
;;; Author: Copyrightę 2006-2008 Charles Alan Butler
;;; Contact @  www.TheSwamp.org
;;; Requirements: objects must have the same z-value
;;;=====================================================================
;;;   THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS OR IMPLIED     ;
;;;   WARRANTY.  ALL IMPLIED WARRANTIES OF FITNESS FOR ANY PARTICULAR  ;
;;;   PURPOSE AND OF MERCHANTABILITY ARE HEREBY DISCLAIMED.            ;
;;;                                                                    ;
;;;  You are hereby granted permission to use, copy and modify this    ;
;;;  software without charge, provided you do so exclusively for       ;
;;;  your own use or for use by others in your organization in the     ;
;;;  performance of their normal duties, and provided further that     ;
;;;  the above copyright notice appears in all copies and both that    ;
;;;  copyright notice and the limited warranty and restricted rights   ;
;;;  notice below appear in all supporting documentation.              ;
;;;=====================================================================

  ;;  return a list of lists grouped by 3 from a flat list
  (defun list->3pair (old / new)
    (while (setq new (cons (list (car old) (cadr old) (caddr old)) new)
                 old (cdddr old)))
    (reverse new)
  )


;;=====================================
;;  return a list of intersect points 
;;=====================================
(defun get_interpts (obj1 obj2 / iplist)
  (if (not (vl-catch-all-error-p
             (setq iplist (vl-catch-all-apply
                            'vlax-safearray->list
                            (list
                              (vlax-variant-value
                                (vla-intersectwith obj1 obj2 acextendnone)
                              ))))))
    iplist
  )
)




35
Visual DCL Programming / Re: Is there a DCL Date Picker?
« Last post by BIGAL on February 24, 2020, 11:16:31 PM »
You may need to download DOSLIB for it to work.
36
Did you check your replies at the other forums ?
37
Seen this before elsewhere, when you don't get what you want post somewhere else, where the miracle worker is located.

if you look hard at the drawing it has numerous faults for an automated answer, stuff like lines don't intersect, no line past doors, plines with width don't line up with other lines and so on.

The simple answer Bpoly even if created is a incorrect shape.

As a 1st step convert plines with width to at least 2 lines better as an outline as end cap may help in working out a closed area.
38
AutoLISP (Vanilla / Visual) / Re: MOVEBAK
« Last post by Stefan on February 24, 2020, 07:25:49 PM »
Code - Auto/Visual Lisp: [Select]
  1.     (setq dir
  2.       (strcat
  3.         "H:\\Backup\\CAD\\"
  4.         (getenv "UserName")
  5.       )
  6.     )
  7.   )
  8.   (setenv "AcetMoveBak" dir)
  9. )
39
AutoLISP (Vanilla / Visual) / MOVEBAK
« Last post by capsochist on February 24, 2020, 07:01:45 PM »
Hi there,

I am trying to place a 'MOVEBAK' line of code in my company acaddoc.lsp which points to a shared server backup location as I have not found a way to do this through the AutoCAD 'Open/Save' Options dialog.

Is there a line of code I could add to the below, so that the backup file would be saved into a folder with the current CAD users name (i.e, H:\Backup\CAD\username)? Username would need to be created by the code initiating the 'MOVEBAK' command since there are over 200 people in our firm.

Code - Auto/Visual Lisp: [Select]
  1. (command "MOVEBAK" "H:\Backup\CAD")

Thank you!
40
AutoLISP (Vanilla / Visual) / Re: Fas and VLX program protectors ver 1.05e
« Last post by baitang36 on February 24, 2020, 06:59:37 PM »
i've downloaded and tried baitang36's tool
not on my PC of course :)
it changes certain byte sequences in the vlx file
which i suspect baffles the decompiler
If you have decompiler software, try it out.I tried fastolsp.exe and it worked. A lot of net friend have tried, confirm effective.
Pages: 1 2 3 [4] 5 6 ... 10